<?php
/**
 * This file is where you map client attributes from Turba to Minerva
 * invoice client data.
 *
 * If Minerva needs the client attribute foo, it will check if there
 * is a mapping from foo key to foobar. If the mapped key is an
 * array, t will combine the fields by the delimiter.
 *
 * Example 1
 *      foo => foobar
 * Foo becomses
 *      foobar
 *
 * Example 2
 *      foo => array('workAddress', "\n", 'workCity', ' - '
 *                   'workPostalCode', "\n", 'workCountry');
 * Foo becomses
 *      workAddress
 *      workPostalCode - workCity
 *      workCountry
 *
 * $Horde: incubator/minerva/config/clientmap.php.dist,v 1.4 2006/06/24 04:08:56 chuck Exp $
 */

$clientmap = array();
$clientmap['postal_address'] = array('company', "\n", 'workAddress', "\n", 'workPostalCode', ' ', 'workCity');
$clientmap['address'] = array('workAddress', "\n", 'workPostalCode', ' ', 'workCity');
$clientmap['name'] = array('company');
