<?php

/**
 * The Gulliver_Cost:: class and Gulliver_Cost:: provides Horde_RDO extension
 * used in for handling Costs.
 *
 * $Horde:$
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Cost extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_CostMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_costs';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $data['id'] = array('humanName' => _("Id"));
        $data['name'] = array('humanName' => _("Name"));

        return $data;
    }
}
