<?php
/**
 * The Gulliver_Location:: class and Gulliver_Location:: provides Horde_RDO extension
 * used in for handling Locations in Cities
 *
 * $Horde:$
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Location extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_LocationMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_locations';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $data['id'] = array('humanName' => _("Id"));
        $data['name'] = array('humanName' => _("Name"));
        $data['city'] = array('humanName' => _("City"), 'type' => 'enum', 'params' => array('enum' => Gulliver::getCities()));

        return $data;
    }
}
