<?php

/**
 * The Gulliver_Manufacturer:: class and Gulliver_Manufacturer:: provides Horde_RDO extension
 * used in for handling Manufacturers.
 *
 * $Horde: gulliver/lib/Gulliver.php,v 1.15 2006/03/07 18:17:34 slusarz Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */
class Gulliver_Manufacturer extends Horde_RDO {
}

/**
 * @package Gulliver
 */
class Gulliver_ManufacturerMapper extends Horde_RDO_Mapper {

    protected $container = 'gulliver_manufacturers';

    public function getStorage()
    {
        return Horde_RDO_Storage::factory('pdo', $GLOBALS['conf']['sql']);
    }

    public function formMeta()
    {
        $data['id'] = array('humanName' => _("Id"));
        $data['name'] = array('humanName' => _("Manufacturers"));

        return $data;
    }

    public function getAll()
    {
        $data = array();
        foreach ($this->find(Horde_RDO::FIND_ALL) as $item) {
            $data[$item->id] = $item->name;
        }

        return $data;
    }
}
