<?php
/**
 * $Horde: gulliver/config/pref.php.dist,v 1.3 2003/12/03 20:09:14 chuck Exp $
 *
 * See horde/config/pref.php for documentation on the structure of this file.
 */

$prefGroups['clients'] = array(
    'column' => _("Client listings"),
    'label' => _("Clients details"),
    'desc' => _("Set clients display parameters."),
    'members' => array('clients_fields', 'clients_perpage'));

// Client attributes

@define('GULLIVER_BASE', dirname(__FILE__) . '/../');
require_once GULLIVER_BASE . '/lib/Gulliver.php';

$_prefs['clients_fields'] = array(
     'value' => serialize(array_keys(Gulliver::clientsFields())),
     'locked' => false,
     'shared' => false,
     'type' => 'multienum',
     'enum' => Gulliver::clientsFields(),
     'desc' => _("Select invoice fields to display."));

$_prefs['clients_perpage'] = array(
     'value' => 10,
     'locked' => false,
     'shared' => false,
     'type' => 'number',
     'desc' => _("How many clients to display per page."));