<?php
/**
 * Tabs for admin pages
 *
 * $Horde: incubator/minerva/admin/tabs.php,v 1.4 2006/06/14 17:02:53 duck Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Gulliver
 */

require_once 'Horde/UI/Tabs.php';
require_once GULLIVER_BASE . '/lib/RDO/Trip.php';

$vars = &Variables::getDefaultVariables();
$tabs = &new Horde_UI_Tabs('edit', $vars);

$tabs->addTab(_("Info"), Horde::applicationUrl('trips/trip.php'), 'info');
$tabs->addTab(_("Distances"), Horde::applicationUrl('trips/distances.php'), 'distances');
$tabs->addTab(_("Costs"), Horde::applicationUrl('trips/costs.php'), 'costs');

if (Auth::isAdmin('gulliver')) {
    $tabs->addTab(_("Delete"), Horde::applicationUrl('trips/delete.php'), 'delete');
}
